/* $Id: eventbox.gen_h,v 1.25 2000/04/14 22:34:04 kenelson Exp $ */

/* eventbox.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/bin.h>
#include <gtk/gtkeventbox.h>

namespace Gtk {

//: Event capturing box
//- This widget is used to force a physical window where one does not
//- normally appear.  The widget is transparent and has no physical
//- appearence.  The widget contained within will be clipped to the
//- size of the EventBox and will receive any event which is specified
//- with {set_events()}.
//-
//- This widget is generally used to add {Gtk::Tooltips::}, button presses,
//- and clipping to widgets derived from {Gtk::Misc::}.
class EventBox : public Bin
{


public:
  typedef EventBox          CppObjectType;
  typedef GtkEventBox            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkEventBox* gtkobj();
  const GtkEventBox* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~EventBox();

private:

public:

  EventBox();

protected:
  // impl functions

};


}
