/* $Id: fixed.gen_h,v 1.39 2001/07/15 13:33:38 murrayc Exp $ */

/* fixed.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/container.h>
#include <gtk/gtkfixed.h>

namespace Gtk {
//: A container which supports fixed sizes and positions of its children.
//- The GtkFixed widget is a container which can place child widgets at
//- fixed positions and with fixed sizes, given in pixels.
class Fixed : public Container
{


public:
  typedef Fixed          CppObjectType;
  typedef GtkFixed            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkFixed* gtkobj();
  const GtkFixed* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~Fixed();

private:

public:

  Fixed();



  //: Adds a widget to a GtkFixed container at the given position.
  //- widget: The widget to add.
  //-
  //- x: The horizontal position to place the widget at.
  //-
  //- y: The vertical position to place the widget at.


  void put(Gtk::Widget& widget,gint16 x,gint16 y);

  //: Moves a child of a GtkFixed container to the given position.
  //- widget : the child widget.
  //-
  //- x: The horizontal position to move the widget to.
  //-
  //- y: The vertical position to move the widget to.


  void move(Gtk::Widget& widget,gint16 x,gint16 y);




protected:
  // impl functions

};


}
