/* $Id: invisible.gen_h,v 1.18 2001/07/15 13:33:38 murrayc Exp $ */

/* invisible.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/bin.h>
#include <gtk/gtkinvisible.h>

namespace Gtk {

//: An invisible, empty space.
//- Use this widget help create some space between your widgets.
class Invisible : public Bin {


public:
  typedef Invisible          CppObjectType;
  typedef GtkInvisible            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkInvisible* gtkobj();
  const GtkInvisible* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~Invisible();

private:

public:
  Invisible();





protected:
  // impl functions

};


}
